package com.shixing.sxedit.types;

/**
 * 内置特效类型
 *
 * */
public enum SXGenericEffectType {
    /**
     * 颜色调节
     * */
    COLOR_ADJUSTMENT(0),
    /**
     * 抠图
     * */
    CHROMA_KEY(1),
    /**
     * 高斯模糊
     * */
    GAUSSIAN_BLUR(2),
    /**
     * 美颜
     * */
    FACE_BEAUTY(3),
    /**
     * 色块抠图
     * */
    MULTIPLE_COLOR_KEY(4),
    /**
     * 轨道遮罩
     * */
    TRACK_MATTE(5),
    /**
     * 快速模糊
     * */
    FAST_BLUR(6);

    public final int value;

    SXGenericEffectType(int type) {
        value = type;
    }
}
