package com.shixing.sxedit.types;


/**
 * 文件类型
 * */
public enum SXFileType{
    /**
     * 未知类型
     * */
    UnknownFile(0),
    /**
     * 资源包,一般为 VE Exporter 导出的特效模板包
     * */
    Package(1),
    /**
     * 音频文件
     * */
    Audio(2),
    /**
     * 视频文件
     * */
    Video(3),
    /**
     * 图片
     * */
    Image(4),
    /**
     * Gif 图片
     * */
    Gif(5);

    public final int value;

    SXFileType(int value) {
        this.value = value;
    }
}
